/*
 * BOX OFFICES for iPhone/iPad
 *
 * The Original Game is Designed by Entatonic.net
 * Copyright (c) 2010 Entatonic.net
 * http://entatonic.net
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 */



#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "cocos2d.h"
#import "MenuScene.h"

@interface CreditScene : CCScene {}
-(id) initWithGameManager: (GameManager *) gameManager;
@end

@interface CreditLayer : CCLayer {
	double offset;
	int maxOffset;
	int bottom_y_axis;
	int top_y_axis;

	double vy;
	NSMutableArray			*credits;
	BOOL ScrollStop;
	BOOL startPositionLock;
	BOOL outofScroll;
	
	int m_tag_num;
	
	GameManager				*m_gameManager;
	NSMutableArray			*m_touch_y;			// touch log
	NSMutableArray			*m_touch_time;		// touch log (msec)
}

-(id) initWithGameManager: (GameManager *) gameManager;

@property (nonatomic, retain) NSMutableArray *m_touch_y;
@property (nonatomic, retain) NSMutableArray *m_touch_time;

@end
